import * as s3 from 'aws-cdk-lib/aws-s3';
import { Construct } from "constructs";
import { BucketAlarms } from "./bucket-alarms";
/**
 * Properties of Bucket.
 */
export interface BucketProps extends s3.BucketProps {
}
/**
 * Extended version of Bucket that changes defaults.
 */
export declare class Bucket extends s3.Bucket {
    readonly alarms: BucketAlarms;
    constructor(scope: Construct, id: string, props?: BucketProps);
}
